Name:           perl-generators
Version:        1.00
Release:        1%{?dist}
Summary:        Perl RPM dependencies generators
Group:          Development/Libraries
License:        GPL+ 
URL:            http://jplesnik.fedorapeople.org/generators
Source0:        %{url}/generators-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# The generators and attribute files were split from rpm-build
Conflicts:      rpm-build < 4.11.2-15

%description
This package provides Perl RPM dependencies generators which are used for
getting provides and requires from Perl binaries and modules.

%prep
%setup -q -n generators-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORSCRIPT=%{_rpmconfigdir}
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot} 
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT/*

mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs/
install -p -m 644 fileattrs/* '%{buildroot}%{_rpmconfigdir}/fileattrs'

%check
make test

%files
%doc Changes TODO
%{_rpmconfigdir}/perl.*
%{_rpmconfigdir}/fileattrs/perl*.attr

%changelog
* Mon Jun 16 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.00-1
- Introduce Perl generators as a standalone package
